;**********************************************
;AVTOR :TRASER SILVO
;DIGITALNI TERMOMETER Z DS1620 IN PIC 16F877
;MONOST NASTAVITVE ZGORNJE IN SPODNJE MEJE
;NASTAVITEV SE MOEMORIZIRA DIREKTNO V DS1620
;KI LAHKO KASNEJE DELUJE SAMOSTOJNO KOT TERMOSTAT
;BREZ CPU
;NA RA4 SE PRIKLOPI PISKA
;RA0 DELUJE KOT DIFERENEN TERMOSTAT
;VKLOPI PRI SPODNI IN IZKLOPI PRI ZGORNJI MEJI
;RA0 VPLOPI PRI PREKORAITVI ZGORNJE MEJE
;ZADNJA SPREMEMBA 2001-02-26 
;DODANA MONOST RONEGA VODENJA RELEJEV
;Z PUICAMA GOR-DOL
;20:31 2001-03-10 
;**********************************************
	LIST P=16F877

#INCLUDE "D:\ASM\P16F877.INC"
	
	ERRORLEVEL -302


;------------------------------------------------
;DEFINIRANJE PINOV PORTA 
#DEFINE S_LED 0
#DEFINE Z_LED 1
#DEFINE ODPIRANJE 2	;PIN ZA IMPULZNO  ODPIRANJE VENTILA
#DEFINE ZAPIRANJE 3	;HITRO ZAPIRANJE
#DEFINE PISKAC 4

;------------------------------------------------
;DEFINIRANJE PINOV PORTB
#DEFINE Z_MEJA 1
#DEFINE S_MEJA 0
#DEFINE S_GOR 2
#DEFINE S_DOL 3
#DEFINE ROCNO 4		;NIZEK PIN ROEN VKLOP

;------------------------------------------------
;DEFINIRANJE PINOV PORTAC
#DEFINE KAT1 3
#DEFINE KAT2 0
#DEFINE KAT3 1
#DEFINE KAT4 2
#DEFINE CLK1 6
#DEFINE DQ 7
#DEFINE RST 5

;------------------------------------------------
;UKAZI ZA DS1620
#DEFINE BERI_T 0XAA	;BRANJE TEMPERATURE
#DEFINE MERITEV_S 0XEE 	;ZAGON MERITVE	
#DEFINE BERI_V 0XA1	;BRANJE ZGORNJE MEJE
#DEFINE BERI_N 0XA2	;BRANJE SPONDJE MEJE
#DEFINE VPIS_N 0X02	;VPIS SPODNJE MEJE
#DEFINE VPIS_V 0X01	;VPIS ZGORNJE MEJE
#DEFINE BERI_S 0XAC	;BRANJE STATUSNEGA REGISTRA
#DEFINE VPIS_S 0X0C	;VPIS STATUSNEGA REGISTRA
;-------------------------------------------------
;DEFINRANJE BITOV STATUSNEGA REGISTRA DS1620 
#DEFINE S_TEMP .5
#DEFINE Z_TEMP .6

;-------------------------------------------------
;DEFINIRANJE REGOSTRA NADZOR
#DEFINE BRANJE 0	;PRI POSTAVLJENIM BITU SE POLJE SAMO UKAZ
#DEFINE V_ALARM_ON 1
#DEFINE N_ALARM_ON 2
#DEFINE TAKT 3
;------------------------------------------------
;DEFINIRANJE KONSTANT
#DEFINE C_MERITEV .200
#DEFINE DECIMALKA .3 
#DEFINE CAS_TIPKA .30	;HITROST NASTAVITVE IN CAS REAGIRANJA TIPK
#DEFINE DEF_SEC .250	;250 * 4mS =1	DEFINIRANJA KONSTANTA ZA DOLOITREV 1s
#DEFINE C_IMPULZ .5	;AS IMPULZA sec
#DEFINE C_PAVZA	 .60	;CAS PAVZE sec

	__CONFIG _CP_OFF & _WDT_OFF & _PWRTE_ON & _LVP_OFF & _XT_OSC


	CBLOCK 0X20
	WTMP,STMP,TMP,ENICA,DTICA,STICA,TTICA,MSB,LSB,NADZOR,MERITEV,UKAZ
	CAS_T,LSB_TMP,MSB_TMP,STATUS_DS,AL_CAS1,AL_CAS2,ST_PISK,SEKUNDA
	CAS_I,CAS_P,UTR_PIKE
	ENDC
	

	ORG 0X0
	GOTO GLAVNI
	ORG 0X4
	GOTO PREK

	ORG 0X5

;*******************************************
;TABELA VRAA VREDNOSTI ZA VKLOP POTREBNIH
;PINOV (SEGMENTOV ZA DOLOENO TEVILKO)
;*******************************************
TABELA
	ADDWF PCL,F
;RAZPORED SEG   BGCEpDFA
	
	RETLW B'10110111'	;0
	RETLW B'10100000'	;1
	RETLW B'11010101'	;2
	RETLW B'11100101'	;3
	RETLW B'11100010'	;4
	RETLW B'01100111'	;5
	RETLW B'01110111'	;6
	RETLW B'10100001'	;7
	RETLW B'11110111'	;8
	RETLW B'11100111'	;9
	RETLW B'00000000'	;
	RETLW B'00000000'	;
	RETLW B'00000000'	;
	RETLW B'00000000'	;
	RETLW B'01000000'	;-
	RETLW B'00000000'
	RETLW B'00000000'




;********************************************
;PREKINITVENA RUTINA
;********************************************
PREK
	MOVWF WTMP	;5uS
	SWAPF STATUS,W
	MOVWF STMP
	CLRF STATUS
	BTFSC INTCON,T0IF	;T0 PREKINITEV ?
	GOTO TMR0_PREK
END_PREK
	SWAPF STMP,W
	MOVWF STATUS
	SWAPF WTMP,F
	SWAPF WTMP,W
	RETFIE

TMR0_PREK
	NOP	;11uS
	NOP
	NOP
	NOP
	MOVLW .7
	MOVWF TMR0	;KOREKCIJA TMR0
	CALL OSVEZI
	CALL VENTIL	;PROCEDURA URAVNAVA Z PINOMA ODPRI ZAPRI
	BTFSS PORTB,ROCNO	;JE V RONEM REIMU ?
	CALL SET_ROCNO		;DA
	BCF INTCON,T0IF
	BTFSS PORTB,Z_MEJA	;JE PRITISNJENA TIPKA ZA PRIKAZ Z TEMP.
	GOTO PRIKAZ_Z		;DA
	BTFSS PORTB,S_MEJA	;JE PRITISNJENA TIPKA ZA PRIKAZ S TEMP.
	GOTO PRIKAZ_S		;DA
	DECFSZ MERITEV,F
	GOTO END_PREK
	MOVLW C_MERITEV
	MOVWF MERITEV
	MOVLW BERI_S	;BRANJE STATUSNEGA REGISTRA DS1620
	CALL READ_DS
	MOVF LSB,W
	MOVWF STATUS_DS
	CALL ALARM	;PROCEDURA KONTROLIRA NASTAVLJENO Z IN S MEJO
	MOVLW BERI_T	;BRANJE TEMPERATURE
	CALL READ_DS
	CALL HEX_DEC	;PRCEDURA PRIPRAVI VSE ZA PRIKAZ
	CLRF LSB
	MOVLW VPIS_S	;BRISANJE VSEH REGISTROV STATUSA DS1620
	CALL WRIT_DS	
	BSF NADZOR,BRANJE
	MOVLW MERITEV_S ;ZAENE  MERJENE
	CALL READ_DS
	GOTO END_PREK

PRIKAZ_Z
	DECFSZ CAS_T,F
	GOTO END_PREK
	MOVLW CAS_TIPKA
	MOVWF CAS_T
	MOVLW BERI_V
	CALL READ_DS
	CALL HEX_DEC
	BTFSC PORTB,S_GOR
	GOTO TIP_DOL
	CALL TEMP_DOL
	MOVLW VPIS_V
	CALL WRIT_DS
	GOTO END_PREK
TIP_DOL
	BTFSC PORTB,S_DOL
	GOTO END_PREK
	CALL TEMP_GOR
	MOVLW VPIS_V
	CALL WRIT_DS
	GOTO END_PREK

PRIKAZ_S
	DECFSZ CAS_T,F
	GOTO END_PREK
	MOVLW CAS_TIPKA
	MOVWF CAS_T
	MOVLW BERI_N	
	CALL READ_DS
	CALL HEX_DEC
	BTFSC PORTB,S_GOR
	GOTO TIP_DOL1
	CALL TEMP_DOL
	MOVLW VPIS_N
	CALL WRIT_DS
	GOTO END_PREK
TIP_DOL1
	BTFSC PORTB,S_DOL
	GOTO END_PREK
	CALL TEMP_GOR
	MOVLW VPIS_N
	CALL WRIT_DS
	GOTO END_PREK





;*********************************************
;PROCEDURA OB VSAKEM KLICU OSVEI NASLEDNJO
;TEVILKO DISPLEJA
;*********************************************
OSVEZI
	BTFSS PORTC,KAT1
	GOTO CIF2
	BCF PORTC,KAT1
	MOVF DTICA,W
	CALL TABELA
	MOVWF PORTD
	BTFSS PORTB,ROCNO	;JE VKLJUENO STIKALO ROCNO
	BTFSS NADZOR,TAKT	;POTEM OB POSTAVLJENIM BITU VKLJI PIKO
	BSF PORTD,DECIMALKA	;DECIMALNA PIKA
	BSF PORTC,KAT2
	RETURN
CIF2
	BTFSS PORTC,KAT2
	GOTO CIF3
	BCF PORTC,KAT2
	MOVF STICA,W	;PRIPRAVI VREDNOST ZA PRIKAZ
	MOVF TTICA,F	;JE NA MESTU TISOICE PRIKAZ 0
	BTFSS STATUS,Z
	GOTO NI_NIC
	MOVF STICA,W
	BTFSC STATUS,Z
	MOVLW .10	;PRAZEN PRIKAZ
	GOTO NI_NIC1
NI_NIC
	MOVLW .14
	SUBWF TTICA,W	;SE NA TISOICI PRIKAZUJE "-"
	BTFSS STATUS,Z
	GOTO NI_MINUS	;NE
	MOVF STICA,W	;DA
	BTFSS STATUS,Z	;JE NA STOTICI PRIKAZ "0"
	GOTO NI_NIC1	;NE
	MOVLW .14	;NA STOTICO PRESTAVI "0"
	GOTO NI_NIC1
NI_MINUS
	MOVF STICA,W
NI_NIC1
	CALL TABELA
	MOVWF PORTD
	BSF PORTC,KAT3
	RETURN
CIF3
	BTFSS PORTC,KAT3
	GOTO CIF4
	BCF PORTC,KAT3
	MOVF STICA,W
	BTFSS STATUS,Z
	GOTO ST_NI_NIC
	MOVLW .14
	SUBWF TTICA,W
	BTFSC STATUS,Z
	GOTO ST_MINUS
ST_NI_NIC
	MOVF TTICA,W
	BTFSC STATUS,Z
ST_MINUS
	MOVLW .10	;E JE NI PRAZEN PRIKAZ
	CALL TABELA
	MOVWF PORTD
	BTFSS PORTB,Z_MEJA
	BSF PORTD,DECIMALKA	;E JE PRITISNJENA TIPKA Z_MEJA PRIGI 
	BSF PORTC,KAT4		;NA PRVEM MESTU DEC.PIKO
	RETURN
CIF4
	BCF PORTC,KAT4
	MOVF ENICA,W
	CALL TABELA
	MOVWF PORTD
	BSF PORTC,KAT1
	RETURN

;********************************************
;PROCEDURA VSAKO SEKUNDO PREVERJA STANJE 
;NASTAVLJENE TEMPERATURE
;PRI PREKORAITVI ZG.MEJE POSTAVI PIN ZAPIRANJE
;PRI PREKORAITVI SPODNJE MEJE NA PIN ODPIRANJE
;DOVAJA IMPULZE
;*********************************************
VENTIL
	DECFSZ SEKUNDA,F ;JE POTEKLO OD ZADNJEGA PREHODA 1 SEC	
	RETURN	;NE
	MOVLW DEF_SEC
	MOVWF SEKUNDA
	CALL SET_TAKT	;PROCEDURA DEFINIRA TAKT VSAKO SEKUNDO
	BTFSS PORTB,ROCNO ;ZAKLJUI E JE V RONEM REIMU
	RETURN
	BTFSS STATUS_DS,Z_TEMP
	GOTO SP_TEMP
	BCF PORTA,ODPIRANJE
	BSF PORTA,ZAPIRANJE	;ZGORNJA MEJA JE PREKORAENA ,ZAPIRANJE
	RETURN
SP_TEMP
	BTFSS STATUS_DS,S_TEMP
	GOTO MEJNA_TEMP
	BTFSS PORTA,ODPIRANJE
	GOTO T_ZAPIRANJE
	DECFSZ CAS_I,F
	RETURN
	MOVLW C_IMPULZ
	MOVWF CAS_I
	BCF PORTA,ODPIRANJE
	RETURN
T_ZAPIRANJE
	DECFSZ CAS_P,F
	RETURN
	MOVLW C_PAVZA
	MOVWF CAS_P
	BSF PORTA,ODPIRANJE
	RETURN


MEJNA_TEMP
	BCF PORTA,ODPIRANJE	;TEMPERATURA JE VMES
	BCF PORTA,ZAPIRANJE	;USTAVI ODPIRANJE - ZAPIRANJE
	RETURN

;*********************************************
;PROCEDURA VSAKO SEKUNDO MENJA STANJE BITA
;NADZOR,TAKT
;*********************************************
SET_TAKT
	BTFSS NADZOR,TAKT
	GOTO TAKT_ON
	BCF NADZOR,TAKT
	RETURN
TAKT_ON
	BSF NADZOR,TAKT
	RETURN

;********************************************
;PROCEDURA JE KLICANA E JE VKLJUENO STIKALO
;RONO Z TIPKAMA S_GOR S_DOL RONO UPRAVLA
;RELE
;********************************************
SET_ROCNO
	BTFSC PORTB,S_DOL
	GOTO SET_GOR
	BCF PORTA,ODPIRANJE
	BSF PORTA,ZAPIRANJE
	RETURN
SET_GOR
	BTFSC PORTB,S_GOR
	GOTO SET_OFF
	BCF PORTA,ZAPIRANJE
	BSF PORTA,ODPIRANJE
	RETURN
SET_OFF
	BCF PORTA,ZAPIRANJE
	BCF PORTA,ODPIRANJE
	RETURN






;*********************************************
;BRISANJE SPLONO NAMENSKIH REGISTROV BANK0
;*********************************************
CLRRAM0
	MOVLW 0X20
	MOVWF FSR
BRISI0
	CLRF INDF
	INCF FSR,F
	MOVLW 0X7F
	SUBWF FSR,W
	BTFSS STATUS,C
	GOTO BRISI0
	RETURN

;*******************************************
;PROCEDURA PREBERE UKAZ KI GA DOBI Z W
;IN NAPOLNI REGISTRA MSB,LSB
;*******************************************
READ_DS
	MOVWF UKAZ
	BSF STATUS,5
	BCF TRISC,DQ
	BCF STATUS,5
	BSF PORTC,CLK1
	BSF PORTC,RST
	MOVLW .8
	MOVWF TMP
Z_READ
	BCF PORTC,CLK1
	BCF PORTC,DQ
	BTFSC UKAZ,0
	BSF PORTC,DQ
	BSF PORTC,CLK1
	RRF UKAZ,F
	DECFSZ TMP,F
	GOTO Z_READ

	BCF PORTC,DQ	
	BSF STATUS,5
	BSF TRISC,DQ
	BCF STATUS,5


	BTFSS NADZOR,BRANJE
	GOTO BERI
	BCF PORTC,RST
	BCF NADZOR,BRANJE
	RETURN

BERI
	MOVLW .8
	MOVWF TMP
	CLRF LSB
	CLRF MSB
RES_READ
	BCF PORTC,CLK1
	RRF LSB,F
	BCF LSB,7
	BTFSS PORTC,DQ
	GOTO L_BIT2
	BSF LSB,7
L_BIT2
	BSF PORTC,CLK1
	DECFSZ TMP,F
	GOTO RES_READ
	BCF PORTC,CLK1
	NOP
	BTFSS PORTC,DQ
	GOTO END_READ
	BSF MSB,0
END_READ
	BSF PORTC,CLK1
	BCF PORTC,RST
	RETURN

;*************************************
;HEX_DEC
;PROCEDURA NAREDI KONVERZIJO
;IZ HEX V DESETIKI PRIKAZ
;DIREKTNO V REGISTRE ZA PRIKAZ
;PRIKAZ JE E PRAVILEN
;*************************************
HEX_DEC
	MOVF LSB,W
	MOVWF LSB_TMP
	MOVF MSB,W
	MOVWF MSB_TMP
	CALL NEGATIVNO
	CLRF ENICA
	CLRF DTICA
	CLRF STICA
	CLRF TTICA
	BTFSS MSB_TMP,0
	GOTO POZITIVNO
	MOVLW .14
	MOVWF TTICA

POZITIVNO	
	MOVF LSB_TMP,F
	BTFSC STATUS,Z
	RETURN
	BTFSS LSB_TMP,0
	GOTO CELO
	MOVLW .5
	MOVWF ENICA
CELO
	RRF LSB_TMP,F
	BCF LSB_TMP,7
	MOVLW .100
	SUBWF LSB_TMP,F
	BTFSS STATUS,C
	GOTO MANJ1
	BTFSS STATUS,Z
	GOTO VEC
	INCF TTICA,F
	RETURN
VEC
	INCF TTICA,F
	GOTO MANJ
MANJ1
	MOVLW .100
	ADDWF LSB_TMP,F
MANJ
	INCF STICA,F
	MOVLW .10
	SUBWF LSB_TMP,F
	BTFSC STATUS,C
	GOTO MANJ
	DECF STICA,F
	MOVLW .10
	ADDWF LSB_TMP,W
	MOVWF DTICA
	RETURN

;**********************************
;PROCEDURA PRIPRAVI REGISTER LSB
;ZA NEGATIVNI PRIKAZ
;**********************************
NEGATIVNO
	BTFSS MSB_TMP,0	;JE PRIKAZ NEGATIVEN
	RETURN		;
	MOVLW .255
	MOVWF TMP
	MOVF LSB_TMP,W
	SUBWF TMP,F
	INCF TMP,F
	MOVF TMP,W
	MOVWF LSB_TMP
	RETURN

;*************************************
;VPIS V DS1620
;*************************************
WRIT_DS
	MOVWF UKAZ
	BSF STATUS,5
	BCF TRISC,DQ
	BCF STATUS,5
	BSF PORTC,CLK1
	BSF PORTC,RST
	MOVLW .8
	MOVWF TMP
DS1	
	BCF PORTC,CLK1
	BCF PORTC,DQ
	BTFSC UKAZ,0
	BSF PORTC,DQ
	BSF PORTC,CLK1
	RRF UKAZ,F
	DECFSZ TMP,F
	GOTO DS1
	MOVF LSB,W
	MOVWF UKAZ
	MOVLW .8
	MOVWF TMP
DS2	
	BCF PORTC,CLK1
	BCF PORTC,DQ
	BTFSC UKAZ,0
	BSF PORTC,DQ
	BSF PORTC,CLK1
	RRF UKAZ,F
	DECFSZ TMP,F
	GOTO DS2
	BCF PORTC,CLK1
	BCF PORTC,DQ
	BTFSC MSB,0
	BSF PORTC,DQ
	BSF PORTC,CLK1
	BSF STATUS,5
	BSF TRISC,DQ
	BCF STATUS,5
	BCF PORTC,RST
	RETURN

;******************************************
;TEMP_GOR
;PROCEDURA OMOGOA NASTAVITEV TEMPARATURE
;TEMPARATURA SE NASTAVLJA NAVZGOR
;VSAK KLIC POVEA VREDNOST ZA 1
;******************************************
TEMP_GOR
	BTFSC MSB,0
	GOTO SET_MINUS
	MOVLW .250	;PRIKAZ +125
	SUBWF LSB,W
	BTFSC STATUS,C
	GOTO SET_MINIMUM
	INCF LSB,F
	RETURN
SET_MINIMUM
	BSF MSB,0
	MOVLW .146	;prikaz -55
	MOVWF LSB
	RETURN
SET_MINUS
	INCF LSB,F
	BTFSS STATUS,Z
	RETURN
	BCF MSB,0
	RETURN


;********************************************
;TEMP_DOL
;PROCEDURA OMOGOA NASTAVITEVE TEMPARATURE
;NAVZDOL
;********************************************
TEMP_DOL
	BTFSC MSB,0
	GOTO SET_MINUSD
	DECF LSB,F
	MOVLW .255
	SUBWF LSB,W
	BTFSS STATUS,Z
	RETURN
	BSF MSB,0
	RETURN
SET_MINUSD
	DECF LSB,F
	MOVLW .146
	SUBWF LSB,W
	BTFSC STATUS,C
	RETURN
	BCF MSB,0
	MOVLW .250
	MOVWF LSB
	RETURN


;***************************************
;PROCEURA ALARM VKLAPJA LED ZA ZG.
;IN SPODNJO MEJO TER VPLOPI PISAKAC
;PRI PREKORACITVI ZG/SP MENJE
;***************************************
ALARM
	BTFSC STATUS_DS,S_TEMP	;JE TEMP. POD SPODNJO MEJO
	BSF PORTA,S_LED	;DA VKLJUI IZHOD
	BTFSC STATUS_DS,Z_TEMP ;NE,JE TEMP. NAD ZGORNJO MEJO 
	BCF PORTA,S_LED	;DA IZKLJUI IZHOD

	BTFSC STATUS_DS,Z_TEMP
	BSF PORTA,Z_LED	;VISOK PRI PREKORAITVI Z MENJE
	BTFSS STATUS_DS,Z_TEMP
	BCF PORTA,Z_LED	;NIZEK E JE TEMPERATURA POD Z MEJO

	BTFSC STATUS_DS,Z_TEMP	;JE ALARM ZA VISOKO TEMP
	GOTO VIS_TEM
	BTFSC STATUS_DS,S_TEMP	;JE ALARM ZA NIZKO TEMP
	GOTO NIZ_TEM


ALARM_OFF
	CALL ALARM_SET	;NASTAVI CASOVNE VREDNOSTI ZA REGISTRE
	RETURN

VIS_TEM
	BTFSC NADZOR,V_ALARM_ON
	RETURN
	BTFSC PORTB,S_GOR
	GOTO  VIS_TEM1
	BSF PORTA,PISKAC
	BSF NADZOR,V_ALARM_ON
	RETURN
VIS_TEM1
	DECFSZ AL_CAS1,F
	RETURN
	MOVLW .1
	MOVWF AL_CAS1
	BTFSS PORTA,PISKAC
	GOTO PISKAC_ON
	BCF PORTA,PISKAC
	RETURN
PISKAC_ON
	BSF PORTA,PISKAC
	RETURN

NIZ_TEM
	BTFSC NADZOR,N_ALARM_ON
	RETURN
	DECFSZ AL_CAS2,F
	RETURN
	MOVLW .2
	MOVWF AL_CAS2
	DECFSZ ST_PISK,F
	GOTO PISK_VKLOP
	BSF NADZOR,N_ALARM_ON
	BSF PORTA,PISKAC
	RETURN
PISK_VKLOP
	BTFSS PORTA,PISKAC
	GOTO PISKAC1_ON
	BCF PORTA,PISKAC
	RETURN
PISKAC1_ON
	BSF PORTA,PISKAC
	RETURN



;***********************************
;PROCEDURA SETIRA ALARM
;***********************************
ALARM_SET
	MOVLW .10
	MOVWF ST_PISK
	MOVLW .2
	MOVWF AL_CAS2
	MOVLW .1
	MOVWF AL_CAS1
	BCF NADZOR,N_ALARM_ON
	BCF NADZOR,V_ALARM_ON
	BSF PORTA,PISKAC
	RETURN


;************************************
;ZAGONSKA PROCEDURA 
;************************************
GLAVNI
	CLRF PORTA
	CLRF PORTB
	CLRF PORTC
	CLRF PORTD
	CLRF PORTE
	BSF STATUS,5
	MOVLW B'00000111'
	MOVWF ADCON1	;VSI ANALOGNI VHODI PRIKLOPLJENI NA DIGITALNE
	CLRF TRISD	;PORTD IZHODI ZA SEGMENTE DISPLEJA
	CLRF TRISC	;RC0-RC3 IZHODI BAZ SEGMENTOV
	CLRF TRISA	;PORTA VSI IZHODI
	BSF TRISC,DQ
	MOVLW B'00000011'
	MOVWF OPTION_REG	;PULL UP PORTB ON ,PREDDELILNIK 1:16
	BCF STATUS,5
	CALL CLRRAM0
	CALL ALARM_SET
	MOVLW DEF_SEC
	MOVWF SEKUNDA
	MOVLW C_IMPULZ
	MOVWF CAS_I
	MOVLW C_PAVZA
	MOVWF CAS_P
	MOVLW .8
	MOVWF TTICA
	MOVLW .8
	MOVWF STICA
	MOVLW .8
	MOVWF DTICA
	MOVLW .8
	MOVWF ENICA
	MOVLW CAS_TIPKA
	MOVWF CAS_T
	MOVLW B'10100000'
	MOVWF INTCON		
ZANKA
	NOP
	GOTO ZANKA

	END	;EOF